/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;

import java.util.ArrayList;
import java.util.List;
import org.jboss.logging.Logger;

/**
 * Represents an <inject> element of the ejb-jar.xml deployment descriptor
 * for the 1.4 schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.2.2.3 $</tt>
 */
public class Inject
{
   private static final Logger log = Logger.getLogger(Inject.class);

   private List methods = new ArrayList();
   private String jndiName;

   public String getJndiName()
   {
      return jndiName;
   }

   public void setJndiName(String jndiName)
   {
      this.jndiName = jndiName;
   }

   public List getMethods()
   {
      return methods;
   }

   public void addMethod(Method method)
   {
      methods.add(method);
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("jndiName=").append(jndiName);
      sb.append("]");
      return sb.toString();
   }
}
